petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetLayouts

Gets the PetscLayout objects for rows and columns

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetLayouts(Mat A,PetscLayout *rmap,PetscLayout *cmap)

Not Collective Many br

### Input Parameters

A -the matrix Many br

### Output Parameters

| rmap | - row layout Many br
| cmap | - column layout Many br

Many br

### See Also

MatCreateVecs(), MatGetLocalToGlobalMapping()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages